program tests;

{$mode objfpc}{$H+}
{$WARN 5023 off}

uses
  Interfaces, Forms, GUITestRunner,

  // test cases
  uutlAlgorithmTests, uutlEnumeratorTests, uutlHashSetTests, uutlLinqTests,
  uutlListTest, uutlMapTests, uutlQueueTests, uutlStackTests, uutlObservableListTests,
  uutlObservableHashSetTests, uutlObservableMapTests,

  // test misc
  uTestHelper,

  // units unter test
  uutlAlgorithm, uutlArrayContainer, uutlCommon, uutlComparer, uutlEnumerator, uutlFilter, uutlGenerics, uutlInterfaces,
  uutlLinq, uutlListBase, uutlLogger, uutlStreamHelper, uutlSyncObjs, uutlTypes, uutlXmlHelper, uutlObservable,
  uutlSetHelperTests, uutlVariantEnumTest, uutlVariantSetTest, uutlHandleManagerTests;

{$R *.res}

begin
  Application.Initialize;
  RunRegisteredTests;
end.

