type
  TPBHeader = packed record
    VersionMagic: UInt32;
    PtrSize: byte;
    ProgramName: ShortString;
    ProgramFileSize: Int64;
  end;

  TPBEventHeader = packed record
    ThreadID: UInt32;
    Timestamp: UInt64;
    Kind: byte;
  end;

  TPBEventEnterProc = packed record
//    H: TPBEventHeader;
    Func: PtrUInt;
    NameLen: Byte;
  end;

  TPBEventExitProc = packed record
//    H: TPBEventHeader;
  end;

const
  HEADER_VER_MAGIC = $b5bd0002;
  PB_KIND_ENTER    = $00;
  PB_KIND_EXIT     = $01;

